/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mabna.pg.sale;

import cnpg.web.ws.token.TokenDTO;
import cnpg.web.ws.token.TokenResponse;
import com.mabna.pg.crypto.CNPGSignEncryption;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import sun.misc.BASE64Encoder;

/**
 *
 * @author ssepasi
 */
public class Sale {
    
    char[] chars = "abcdefghijklmnopqrstuvwxyz".toCharArray();

    StringBuilder sb = new StringBuilder();
    Random random = new Random();

    private String TOKEN, MID, TID, CRN, AMOUNT;

    public String getAMOUNT() {
        return AMOUNT;
    }

    public void setAMOUNT(String AMOUNT) {
        this.AMOUNT = AMOUNT;
    }

    public String getMID() {
        return MID;
    }

    public void setMID(String MID) {
        this.MID = MID;
    }

    public String getTID() {
        return TID;
    }

    public void setTID(String TID) {
        this.TID = TID;
    }

    public String getCRN() {
        return CRN;
    }

    public void setCRN(String CRN) {
        this.CRN = CRN;
    }

    public String getTOKEN() {
        return TOKEN;
    }

    public void setTOKEN(String TOKEN) {
        this.TOKEN = TOKEN;
    }

    public void getToken() {
        try {
            Cipher rsa = Cipher.getInstance("RSA/ECB/PKCS1Padding");
            rsa.init(Cipher.ENCRYPT_MODE, CNPGSignEncryption.publicKeyEncryption());
            TokenDTO tokenRequest = new TokenDTO();
            String CRN = genCrn();
            String RFADDR = "http://localhost/result.xhtml";
            byte[] encrAmount = rsa.doFinal(AMOUNT.getBytes());
            byte[] encrCRN = rsa.doFinal(CRN.getBytes());
            byte[] encrMID = rsa.doFinal(MID.getBytes());
            byte[] encrReferaladress = rsa.doFinal(RFADDR.getBytes());
            byte[] encrTID = rsa.doFinal(TID.getBytes());

            tokenRequest.setAMOUNT(new BASE64Encoder().encode(encrAmount));
            tokenRequest.setCRN(new BASE64Encoder().encode(encrCRN));
            tokenRequest.setMID(new BASE64Encoder().encode(encrMID));
            tokenRequest.setTID(new BASE64Encoder().encode(encrTID));
            tokenRequest.setREFERALADRESS(new BASE64Encoder().encode(encrReferaladress));

            String signature = AMOUNT + CRN + MID + RFADDR + TID;

            byte[] encrSignature = CNPGSignEncryption.signData(signature.getBytes(), CNPGSignEncryption.privateKeyEncryption());
            tokenRequest.setSIGNATURE(new BASE64Encoder().encode(encrSignature));

            TokenResponse tokenResponse = reservation(tokenRequest);
            if (tokenResponse.getResult() == 0) {
                TOKEN = tokenResponse.getToken();
                System.out.println(TOKEN);
            } else {
                System.out.println(tokenResponse.getResult());
                
            }
        } catch (NoSuchAlgorithmException | NoSuchPaddingException | InvalidKeyException | IllegalBlockSizeException | BadPaddingException ex) {
            Logger.getLogger(Sale.class.getName()).log(Level.SEVERE, null, ex);
        } catch (Exception ex) {
            Logger.getLogger(Sale.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public String genCrn() {
        for (int i = 0; i < 8; i++) {
            char c = chars[random.nextInt(chars.length)];
            sb.append(c);
        }
        return sb.toString();
    }

    private static TokenResponse reservation(cnpg.web.ws.token.TokenDTO tokenParam) {
        cnpg.web.ws.token.Token service = new cnpg.web.ws.token.Token();
        cnpg.web.ws.token.TokenService port = service.getTokenServicePort();
        return port.reservation(tokenParam);
    }
    
    
    
}
