
package messaging.s2m.ws;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for generalResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="generalResponse">
 *   &lt;complexContent>
 *     &lt;extension base="{http://ws.s2m.messaging/}responseMessageSpec">
 *       &lt;sequence>
 *         &lt;element name="AIR" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="RESCODE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="SIGNATURE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="STAN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="TRN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "generalResponse", propOrder = {
    "air",
    "rescode",
    "signature",
    "stan",
    "trn"
})
@XmlSeeAlso({
    SaleConfResponse.class
})
public class GeneralResponse
    extends ResponseMessageSpec
{

    @XmlElement(name = "AIR")
    protected String air;
    @XmlElement(name = "RESCODE")
    protected String rescode;
    @XmlElement(name = "SIGNATURE")
    protected String signature;
    @XmlElement(name = "STAN")
    protected String stan;
    @XmlElement(name = "TRN")
    protected String trn;

    /**
     * Gets the value of the air property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAIR() {
        return air;
    }

    /**
     * Sets the value of the air property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAIR(String value) {
        this.air = value;
    }

    /**
     * Gets the value of the rescode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRESCODE() {
        return rescode;
    }

    /**
     * Sets the value of the rescode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRESCODE(String value) {
        this.rescode = value;
    }

    /**
     * Gets the value of the signature property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSIGNATURE() {
        return signature;
    }

    /**
     * Sets the value of the signature property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSIGNATURE(String value) {
        this.signature = value;
    }

    /**
     * Gets the value of the stan property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSTAN() {
        return stan;
    }

    /**
     * Sets the value of the stan property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSTAN(String value) {
        this.stan = value;
    }

    /**
     * Gets the value of the trn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTRN() {
        return trn;
    }

    /**
     * Sets the value of the trn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTRN(String value) {
        this.trn = value;
    }

}
