
package messaging.s2m.ws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the messaging.s2m.ws package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SendConfirmation_QNAME = new QName("http://ws.s2m.messaging/", "sendConfirmation");
    private final static QName _SendConfirmationResponse_QNAME = new QName("http://ws.s2m.messaging/", "sendConfirmationResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: messaging.s2m.ws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SendConfirmationResponse }
     * 
     */
    public SendConfirmationResponse createSendConfirmationResponse() {
        return new SendConfirmationResponse();
    }

    /**
     * Create an instance of {@link SendConfirmation }
     * 
     */
    public SendConfirmation createSendConfirmation() {
        return new SendConfirmation();
    }

    /**
     * Create an instance of {@link SaleConfResponse }
     * 
     */
    public SaleConfResponse createSaleConfResponse() {
        return new SaleConfResponse();
    }

    /**
     * Create an instance of {@link ConfirmationDTO }
     * 
     */
    public ConfirmationDTO createConfirmationDTO() {
        return new ConfirmationDTO();
    }

    /**
     * Create an instance of {@link GeneralResponse }
     * 
     */
    public GeneralResponse createGeneralResponse() {
        return new GeneralResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendConfirmation }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.s2m.messaging/", name = "sendConfirmation")
    public JAXBElement<SendConfirmation> createSendConfirmation(SendConfirmation value) {
        return new JAXBElement<SendConfirmation>(_SendConfirmation_QNAME, SendConfirmation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendConfirmationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.s2m.messaging/", name = "sendConfirmationResponse")
    public JAXBElement<SendConfirmationResponse> createSendConfirmationResponse(SendConfirmationResponse value) {
        return new JAXBElement<SendConfirmationResponse>(_SendConfirmationResponse_QNAME, SendConfirmationResponse.class, null, value);
    }

}
